### Enumeration

# Xdp UpdateStatus

#### Declaration

    enum Xdp.UpdateStatus

#### Description [src]

The values of this enum are returned in the `XdpPortal::update-progress` signal to indicate the current progress of an installation.

#### Members

`XDP_UPDATE_STATUS_RUNNING`

  Installation in progress.

  - Value: `0`
  - Available since: 1.0
`XDP_UPDATE_STATUS_EMPTY`

  Nothing to install.

  - Value: `1`
  - Available since: 1.0
`XDP_UPDATE_STATUS_DONE`

  Installation finished successfully.

  - Value: `2`
  - Available since: 1.0
`XDP_UPDATE_STATUS_FAILED`

  Installation failed.

  - Value: `3`
  - Available since: 1.0